"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
const gen_Apis = require("../../../gen/Apis.js");
const ME_announcement_list_model = require("./model.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
common_store_useWeAppAuthStore.useWeAppAuthStore();
const getList = () => {
  var _a, _b;
  common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Msg.MsgPropertyAnnouncements.List, (_b = (_a = ME_announcement_list_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value).then((res) => {
    ME_announcement_list_model.useModel.listData.value = [...ME_announcement_list_model.useModel.listData.value, ...res == null ? void 0 : res.data];
    ME_announcement_list_model.useModel.metaData.value = res == null ? void 0 : res.meta;
    console.log(res);
  });
};
const method = {
  getList,
  loadMore(res) {
    ME_announcement_list_model.useModel.formData.value.page = res == null ? void 0 : res.page;
    getList();
  },
  toDetaile(e) {
    common_vendor.index.navigateTo({
      url: `/ME/announcement/show/index?id=${e == null ? void 0 : e.id}`
    });
  }
};
exports.method = method;
